com.google.gwt.dom.builder.shared

## Interface FrameBuilder

- All Superinterfaces:
    ElementBuilderBase<FrameBuilder>
  All Known Implementing Classes:
    DomFrameBuilder, HtmlFrameBuilder

      public interface FrameBuilder
      extends ElementBuilderBase<FrameBuilder>

  Builds an frame element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `FrameBuilder` | `frameBorder(int frameBorder)` Request frame borders.
    `FrameBuilder` | `longDesc(SafeUri longDesc)` URI designating a long description of this image or frame.
    `FrameBuilder` | `longDesc(java.lang.String longDesc)` URI designating a long description of this image or frame.
    `FrameBuilder` | `marginHeight(int marginHeight)` Frame margin height, in pixels.
    `FrameBuilder` | `marginWidth(int marginWidth)` Frame margin width, in pixels.
    `FrameBuilder` | `name(java.lang.String name)` The frame name (object of the target attribute).
    `FrameBuilder` | `noResize()` Forbid user from resizing frame.
    `FrameBuilder` | `scrolling(java.lang.String scrolling)` Specify whether or not the frame should have scrollbars.
    `FrameBuilder` | `src(SafeUri src)` A URI designating the initial frame contents.
    `FrameBuilder` | `src(java.lang.String src)` A URI designating the initial frame contents.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### frameBorder

          FrameBuilder frameBorder(int frameBorder)

      Request frame borders.
      See Also:
        W3C HTML Specification

    - #### longDesc

          FrameBuilder longDesc(SafeUri longDesc)

      URI designating a long description of this image or frame.
      See Also:
        W3C HTML Specification

    - #### longDesc

          FrameBuilder longDesc(java.lang.String longDesc)

      URI designating a long description of this image or frame.
      See Also:
        W3C HTML Specification

    - #### marginHeight

          FrameBuilder marginHeight(int marginHeight)

      Frame margin height, in pixels.
      See Also:
        W3C HTML Specification

    - #### marginWidth

          FrameBuilder marginWidth(int marginWidth)

      Frame margin width, in pixels.
      See Also:
        W3C HTML Specification

    - #### name

          FrameBuilder name(java.lang.String name)

      The frame name (object of the target attribute).
      See Also:
        W3C HTML Specification

    - #### noResize

          FrameBuilder noResize()

      Forbid user from resizing frame.
      See Also:
        W3C HTML Specification

    - #### scrolling

          FrameBuilder scrolling(java.lang.String scrolling)

      Specify whether or not the frame should have scrollbars.
      See Also:
        W3C HTML Specification

    - #### src

          FrameBuilder src(SafeUri src)

      A URI designating the initial frame contents.
      See Also:
        W3C HTML Specification

    - #### src

          FrameBuilder src(java.lang.String src)

      A URI designating the initial frame contents.
      See Also:
        W3C HTML Specification